[Bro] Source build on OpenBSD 5.0

Larry Gadallah lgadallah at gmail.com
Wed Jan 4 14:02:41 PST 2012


Hi all:

I'm trying to build a copy of Bro 2.0 beta on an OpenBSD 5.0 box.
According to the documentation, the requirements are as follows:

- CMake
- Libpcap
- OpenSSL
- Libmagic
- Libz
- LibGeoIP
- BIND8
- Bison
- Flex
- Perl

A number of these are installed by default, and I've added the
packages containing the others:

$ pkg_info
[munch]
GeoIP-1.4.7         find the country where IP address/hostname originates from
[munch]
bison-2.3           GNU parser generator
[munch]
cmake-2.8.4p3       portable build system
[munch]
flex-2.5.35         fast lexical analyzer generator
[munch]
libbind-9.4.2       BIND 8 compatible stub resolver library
[munch]
libmagic-5.00       library to determine file type
[munch]

$ ls -l /usr/lib/*pcap*
-r--r--r--  1 root  bin  351100 Aug 17 08:52 /usr/lib/libpcap.a
-r--r--r--  1 root  bin  274937 Aug 17 08:52 /usr/lib/libpcap.so.6.0
-r--r--r--  1 root  bin  356228 Aug 17 08:52 /usr/lib/libpcap_p.a
-r--r--r--  1 root  bin  363806 Aug 17 08:52 /usr/lib/libpcap_pic.a

$ ls -l /usr/lib/*ssl*
-r--r--r--  1 root  bin  2338032 Aug 17 08:52 /usr/lib/libssl.a
-r--r--r--  1 root  bin  1488178 Aug 17 08:52 /usr/lib/libssl.so.16.0
-r--r--r--  1 root  bin  2349534 Aug 17 08:52 /usr/lib/libssl_p.a
-r--r--r--  1 root  bin  2380520 Aug 17 08:52 /usr/lib/libssl_pic.a

$ ls -l /usr/lib/*z*
-r--r--r--  1 root  bin  195380 Aug 17 08:52 /usr/lib/libz.a
-r--r--r--  1 root  bin  163273 Aug 17 08:52 /usr/lib/libz.so.4.1
-r--r--r--  1 root  bin  199148 Aug 17 08:52 /usr/lib/libz_p.a
-r--r--r--  1 root  bin  202254 Aug 17 08:52 /usr/lib/libz_pic.a

Now configure seems to be happy with everything except BIND:

$ ./configure
Build Directory : build
Source Directory: /home/larry/projects/bro
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Found sed: /usr/bin/sed
-- Found Perl: /usr/bin/perl
-- Found FLEX: /usr/bin/flex version 2.5.4
-- Found BISON: /usr/local/bin/bison
-- Found PCAP: /usr/lib/libpcap.so.6.0
-- Performing Test PCAP_LINKS_SOLO
-- Performing Test PCAP_LINKS_SOLO - Success
-- Looking for pcap_get_pfring_id
-- Looking for pcap_get_pfring_id - not found
-- Found OpenSSL: /usr/lib/libssl.so.16.0;/usr/lib/libcrypto.so.19.0
-- Performing Test ns_initparse_works_none
-- Performing Test ns_initparse_works_none - Failed
-- Performing Test res_mkquery_works_none
-- Performing Test res_mkquery_works_none - Success
-- Performing Test ns_initparse_works_resolv
-- Performing Test ns_initparse_works_resolv - Failed
-- Performing Test res_mkquery_works_resolv
-- Performing Test res_mkquery_works_resolv - Success
-- Performing Test ns_initparse_works_bind
-- Performing Test ns_initparse_works_bind - Failed
-- Performing Test res_mkquery_works_bind
-- Performing Test res_mkquery_works_bind - Success
-- Could NOT find BIND (missing:  BIND_LIBRARY)
-- Found LibMagic: /usr/local/lib/libmagic.so.2.0
-- Found ZLIB: /usr/include (found version "1.2.3")
CMake Error at aux/binpac/CMakeLists.txt:17 (message):
   Could not find prerequisite package 'BIND'


CMake Error at aux/binpac/CMakeLists.txt:19 (message):
  Configuration aborted due to missing prerequisites


-- Configuring incomplete, errors occurred!

I see that a BIND8 compatibility library is installed:
$ ls -l /usr/local/lib/*bind*
-rw-r--r--  1 root  bin  426340 Aug 16 14:04 /usr/local/lib/libbind.a
-rw-r--r--  1 root  bin     715 Aug 16 14:04 /usr/local/lib/libbind.la
-rw-r--r--  1 root  bin  324683 Aug 16 14:04 /usr/local/lib/libbind.so.2.0

The two questions that come to mind are: Do I need a _real_ BIND8
installation (not included in OpenBSD) or will the provided
libbind-9.4.2 package work?
If so, what does BIND_LIBRARY need to be configured to point at?

Thanks,
-- 
Larry Gadallah, VE6VQ/W7                          lgadallah AT gmail DOT com
PGP Sig: B5F9 C4A8 8517 82AC 16B6  02B6 0645 69F0 1F29 A512



More information about the Bro mailing list